# Uses of Interface
com.logicaldoc.core.document.DocumentNoteDAO

Packages that use DocumentNoteDAO
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects
com.logicaldoc.core.searchengine
The core of the search engine.

## Uses of DocumentNoteDAO in com.logicaldoc.core.document

Classes in com.logicaldoc.core.document that implement DocumentNoteDAO
Modifier and Type
Class
Description
`class`
`HibernateDocumentNoteDAO`
Hibernate implementation of `DocumentNoteDAO`
Methods in com.logicaldoc.core.document that return DocumentNoteDAO
Modifier and Type
Method
Description
`static DocumentNoteDAO`
DocumentNoteDAO.`get()`
Gets the object available in the application context

## Uses of DocumentNoteDAO in com.logicaldoc.core.searchengine

Methods in com.logicaldoc.core.searchengine with parameters of type DocumentNoteDAO
Modifier and Type
Method
Description
`void`
StandardSearchEngine.`setNoteDao(DocumentNoteDAO noteDao)`